IAcSmSheetView
sheet ビュー コンポーネントのインターフェース。
使用可能なメソッド
(setq cad (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument cad)) (setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr")) (setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile)) (setq layouts (vla-get-layouts doc)) (vlax-invoke-method ssmgr "GetSheetFromLayout" layout 'objSheet) (setq sheetviews (vlax-invoke-method objSheet "GetSheetViews")) (setq iter (vlax-invoke-method sheetviews 'GetEnumerator)) (setq sheetview (vlax-invoke-method iter 'Next))
項目 | 内容 |
---|---|
GetNamedView | returns the IAcSmAcDbViewReference that refers to the named AcDbView object on the sheet that is referenced by this sheet view
(setq viewref (vlax-invoke-method sheetview 'GetNamedView)) HRESULT GetNamedView ([out, retval] IAcSmAcDbViewReference** ppViewRef) |
SetNamedView | assigns the IAcSmAcDbViewReference that refers to the named AcDbView object on the sheet that is referenced by this sheet view
(vlax-invoke-method sheetview 'SetNamedView viewref) HRESULT SetNamedView ([in] IAcSmAcDbViewReference* pViewRef) |
GetCategory | returns the view category component that this sheet view is associated with
(setq viewcat (vlax-invoke-method sheetview 'GetCategory)) HRESULT GetCategory ([out, retval] IAcSmViewCategory** ppViewCat) |
SetCategory | defines the view category component that this sheet view is associated with
(vlax-invoke-method sheetview 'SetCategory viewcat) HRESULT SetCategory ([in] IAcSmViewCategory* pViewCat) |
GetNumber | returns the number property of this sheet view
(setq res (vlax-invoke-method sheetview 'GetNumber)) HRESULT GetNumber ([out, retval] BSTR* num) |
SetNumber | defines the number property of this sheet view
(vlax-invoke-method sheetview 'SetNumber "99") HRESULT SetNumber ([in] BSTR num) |
GetTitle | returns the title property of this sheet view
(setq res (vlax-invoke-method sheetview 'GetTitle)) HRESULT GetTitle ([out, retval] BSTR* title) |
SetTitle | defines the title property of this sheet view
(vlax-invoke-method sheetview 'SetTitle "TestView A99") HRESULT SetTitle ([in] BSTR title) |